From b004098cee51d5946324374561978ef38e0fff07 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 25 2020 22:29:15 +0000
Subject: [PATCH 1541/2232] Add Vec cbegin/cend test


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 46d8b16..38942e1 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -343,11 +343,14 @@ void c_take_rust_vec_string(rust::Vec<rust::String> v) {
 void c_take_rust_vec_shared_forward_iterator(rust::Vec<Shared> v) {
   // Exercise requirements of ForwardIterator
   // https://en.cppreference.com/w/cpp/named_req/ForwardIterator
-  uint32_t sum = 0;
+  uint32_t sum = 0, csum = 0;
   for (auto it = v.begin(), it_end = v.end(); it != it_end; it++) {
     sum += it->z;
   }
-  if (sum == 2021) {
+  for (auto it = v.cbegin(), it_end = v.cend(); it != it_end; it++) {
+    csum += it->z;
+  }
+  if (sum == 2021 && csum == 2021) {
     cxx_test_suite_set_correct();
   }
 }

